﻿
using DamageAssesment.Api.Responses.Models;
using System.Collections.Generic;
using System.Text;

namespace DamageAssesment.Api.Responses.Test
{
    public class MockData
    {
        public static async Task<(bool, SurveyResponse, string)> getOkResponse(SurveyResponse data)
        {
            return (true, data, null);
        }

        public static async Task<(bool, dynamic, string)> getOkResponse()
        {
            return (true, new { }, null);
        }

        public static async Task<(bool, Models.SurveyResponse, string)> getResponse()
        {
            return (false, null, null);
        }

        public static async Task<Models.SurveyResponse> getSurveyResponseObject()
        {
            return new Models.SurveyResponse { EmployeeId = 1, LocationId = 1, SurveyId = 1, Id = 1 };
        }
    }
}
