﻿namespace DamageAssesment.Api.Questions.Interfaces
{
    public interface IQuestionTypesProvider
    {
        Task<(bool IsSuccess, Db.QuestionType QuestionType, string ErrorMessage)> GetQuestionTypeAsync(int Id);
        Task<(bool IsSuccess, IEnumerable<Db.QuestionType> QuestionTypes, string ErrorMessage)> GetQuestionTypesAsync();
    }
}
